using System.IO;
using System.Reflection;
using System.Threading;


namespace Log
{
    public static class LogClass
    {

        public static void Enqueue(MethodBase MethodName,  string text)
        {
            System.Diagnostics.Debug.WriteLine(text);
            logger.WriteLine(Thread.CurrentThread.Name + " ->  " + MethodName.ReflectedType.Name + "." + MethodName.Name + "()" + " : " + text);


        }

        static TextWriter logger = TextWriter.Synchronized(new StreamWriter("./Debug.txt") { AutoFlush = true});

   

    }



}
